- updated to 19.04.1 master auto/th/ka5-knavalbattle-19.04.1-1
authorWitold Filipczyk <witekfl@poczta.onet.pl>
Mon, 13 May 2019 09:35:05 +0000 (11:35 +0200)
committerWitold Filipczyk <witekfl@poczta.onet.pl>
Mon, 13 May 2019 09:35:05 +0000 (11:35 +0200)
- packaged docs
- macro kframever

ka5-knavalbattle.spec

index f39aa431d08c157b8f56309fff3d627744503ccd..9afae4abea9b686e95ae082e6f223cdafc52a676 100644 (file)
@@ -1,14 +1,15 @@
-%define                kdeappsver      18.12.1
+%define                kdeappsver      19.04.1
+%define                kframever       5.56.0
 %define                qtver           5.9.0
 %define                kaname          knavalbattle
 Summary:       knavalbattle
 Name:          ka5-%{kaname}
-Version:       18.12.1
+Version:       19.04.1
 Release:       1
 License:       GPL v2+/LGPL v2.1+
 Group:         X11/Applications/Games
 Source0:       http://download.kde.org/stable/applications/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
-# Source0-md5: 09998169f13804d68e6085ad29a5d64f
+# Source0-md5: fe86f47a4457e74e6044e8d2b6838b55
 URL:           http://www.kde.org/
 BuildRequires: Qt5Core-devel >= %{qtver}
 BuildRequires: Qt5Gui-devel >= 5.11.1
@@ -17,15 +18,15 @@ BuildRequires:      Qt5Quick-devel >= 5.11.1
 BuildRequires: Qt5Widgets-devel
 BuildRequires: gettext-devel
 BuildRequires: ka5-libkdegames-devel >= %{kdeappsver}
-BuildRequires: kf5-extra-cmake-modules >= 5.53.0
-BuildRequires: kf5-kconfig-devel >= 5.30.0
-BuildRequires: kf5-kcrash-devel >= 5.30.0
-BuildRequires: kf5-kdbusaddons-devel >= 5.30.0
-BuildRequires: kf5-kdnssd-devel >= 5.30.0
-BuildRequires: kf5-kdoctools-devel >= 5.30.0
-BuildRequires: kf5-ki18n-devel >= 5.30.0
-BuildRequires: kf5-ktextwidgets-devel >= 5.30.0
-BuildRequires: kf5-kxmlgui-devel >= 5.30.0
+BuildRequires: kf5-extra-cmake-modules >= %{kframever}
+BuildRequires: kf5-kconfig-devel >= %{kframever}
+BuildRequires: kf5-kcrash-devel >= %{kframever}
+BuildRequires: kf5-kdbusaddons-devel >= %{kframever}
+BuildRequires: kf5-kdnssd-devel >= %{kframever}
+BuildRequires: kf5-kdoctools-devel >= %{kframever}
+BuildRequires: kf5-ki18n-devel >= %{kframever}
+BuildRequires: kf5-ktextwidgets-devel >= %{kframever}
+BuildRequires: kf5-kxmlgui-devel >= %{kframever}
 BuildRequires: ninja
 BuildRequires: qt5-build >= %{qtver}
 BuildRequires: rpmbuild(macros) >= 1.164
@@ -48,6 +49,7 @@ install -d build
 cd build
 %cmake \
        -G Ninja \
+       -DHTML_INSTALL_DIR=%{_kdedocdir} \
        -DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
        ..
 %ninja_build
@@ -56,7 +58,7 @@ cd build
 rm -rf $RPM_BUILD_ROOT
 %ninja_install -C build
 
-%find_lang %{kaname} --all-name --with-qm
+%find_lang %{kaname} --all-name --with-kde
 
 %clean
 rm -rf $RPM_BUILD_ROOT
This page took 0.133207 seconds and 4 git commands to generate.